{% extends 'core.html' %} 

{% block title %}Crear Publicación{% endblock %} 

{% load crispy_forms_tags %}

{% block staticload %}
{% load static %} 
{% endblock %} 

{% block content %}
{% if user.available_publications > 0 %}
<div class='container mt-5 mb-5'>
    <div class='card'>
        <div class="card-header bg-dark text-white text-center">
            Crear Publicación
        </div>
        <div class='card-body'>
            <form method="POST" action="{% url 'create-publication' %}" enctype="multipart/form-data">
                {% csrf_token %}
                <div class="row">
                    <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-4">
                        {{ form.product_name|as_crispy_field }}
                    </div>
                    <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-4">
                        {{ form.price|as_crispy_field }}
                    </div>
                    <div class="col-12 col-sm-12 col-md-12 col-lg-12 col-xl-4">
                        {{ form.photo|as_crispy_field }}
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        {{ form.slug|as_crispy_field }}
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        {{ form.product_description|as_crispy_field }}
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        {{ form.tag_field|as_crispy_field }}
                    </div>
                </div>
                <div class='row'>
                    <div class="col-12 col-sm-8 col-md-9 col-lg-9 col-xl-10">
                    </div>
                    <div class="col-12 col-sm-4 col-md-3 col-lg-3 col-xl-2">
                        <button type="submit" class="btn btn-warning">Crear Publicación</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
{% else %}
    <div class="container">
    <div class="card" style="position: fixed; top: 50%; left: 50%; transform: translate(-50%, -50%);">
        <div class="card-body text-center">
            <p class="lead">Aun no has comprado ninguna publicacion, que esperas ?</p>
            <a class="btn btn-warning" href="{% url 'show-pulication-deals' %}">Comprar Ahora</a>
        </div>
    </div>
    </div>
{% endif %}
{% endblock %}

{% block scriptfiles %}
{% endblock %}